TemplateUserRejectedRequestVRE (email-templates-library 1.3.0-4.13.0-169415 API)
Date: 2018-11-28

org.gcube.portal.mailing.templates

## Class TemplateUserRejectedRequestVRE

- java.lang.Object
- - org.gcube.common.portal.mailing.templates.AbstractTemplate
  - - org.gcube.portal.mailing.templates.TemplateUserRejectedRequestVRE

- All Implemented Interfaces:
    org.gcube.common.portal.mailing.templates.Template

      public class TemplateUserRejectedRequestVRE
      extends org.gcube.common.portal.mailing.templates.AbstractTemplate
      implements org.gcube.common.portal.mailing.templates.Template

  Author:
    Massimiliano Assante, CNR-ISTI

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TemplateUserRejectedRequestVRE(org.gcube.vomanagement.usermanagement.model.GCubeUser theRequestingUser, org.gcube.vomanagement.usermanagement.model.GCubeUser theManagerUser, org.gcube.vomanagement.usermanagement.model.GCubeGroup theRequestedVRE, Date originalRequestDate, String gatewayName, String gatewayURL)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `compile(String templateContent)`
    `String` | `getTextHTML()`
    `String` | `getTextPLAIN()`

    - ### Methods inherited from class org.gcube.common.portal.mailing.templates.AbstractTemplate

      `getGatewayLogoURL, getGatewayName, getGatewayURL, getGroupManagerImpl`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TemplateUserRejectedRequestVRE

          public TemplateUserRejectedRequestVRE(org.gcube.vomanagement.usermanagement.model.GCubeUser theRequestingUser,
                                                org.gcube.vomanagement.usermanagement.model.GCubeUser theManagerUser,
                                                org.gcube.vomanagement.usermanagement.model.GCubeGroup theRequestedVRE,
                                                Date originalRequestDate,
                                                String gatewayName,
                                                String gatewayURL)

      Parameters:
        `theRequestingUser` - an instance of @see `GCubeUser` representing the user who requested access
        `theManagerUseran` - instance of @see `GCubeUser` representing the manager who approved the request
        `theRequestedVRE` - instance of @see `GCubeGroup` of the current VRE
        `originalRequestDate` - the request date as in the associated `GCubeMembershipRequest`
        `gatewayName` - gateway name can be obtained with `PortalContext.getGatewayName(javax.servlet.http.HttpServletRequest)`
        `gatewayURL` - gateway URL name can be obtained with `PortalContext.getGatewayURL(javax.servlet.http.HttpServletRequest)`

  - ### Method Detail

    - #### compile

          public String compile(String templateContent)

      Specified by:
        `compile` in interface `org.gcube.common.portal.mailing.templates.Template`

    - #### getTextHTML

          public String getTextHTML()

      Specified by:
        `getTextHTML` in interface `org.gcube.common.portal.mailing.templates.Template`

    - #### getTextPLAIN

          public String getTextPLAIN()

      Specified by:
        `getTextPLAIN` in interface `org.gcube.common.portal.mailing.templates.Template`

Copyright © 2018. All Rights Reserved.